Skip to content

Incident (Template) ​

4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getNotificationTemplateGETGet abnormal notification template info
modifyNotificationTemplatePATCHSet abnormal notification template info
getAnomalyEventSettingForSiteTemlateGETGet site template anomaly event setting
modifyAnomalyEventSettingForSiteTemplatePATCHModify site template anomaly event setting

getNotificationTemplate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/anomaly/notification

Get abnormal notification template info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
json
// omada_call_operation
{
  "operationId": "getNotificationTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get abnormal notification template info.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyNotificationTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/anomaly/notification

Set abnormal notification template info

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema SetNotificationOpenApiVO

FieldTypeRequiredDescription
alertEmailSettingAlertEmailSettingVOyes(AlertEmailSettingVO not expanded; call omada_get_schema "AlertEmailSettingVO")
emailNotificationConfigurationOpenApiVOyes(NotificationConfigurationOpenApiVO not expanded; call omada_get_schema "NotificationConfigurationOpenApiVO")
json
// omada_call_operation
{
  "operationId": "modifyNotificationTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Set abnormal notification template info.
The interface requires one of the permissions:
Global Site Template Manager Modify

getAnomalyEventSettingForSiteTemlate ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/anomaly/setting

Get site template anomaly event setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100)
filters.enablequeryintegernoFilter query parameters, support field enable, it should be a value as follows: 0:enable, 1:disable, example:0.
filters.levelqueryintegernoFilter query parameters, support field level, it should be a value as follows: 0:Critical, 1:Error, 2:Warning, 3: Info, example:1.
filters.categoryquerystringnoFilter query parameters, support field category, one or more categories, each category should be a value as follows: 11:Access, 12:Authentication, 13:Roaming, 14:Wireless Network, 15:Wired Network, 16:Link, 17:WAN and Services, 18:Device Status, 19:Security, example: 11 Or 12,13,14
json
// omada_call_operation
{
  "operationId": "getAnomalyEventSettingForSiteTemlate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get site template anomaly event setting.
The interface requires one of the permissions:
Global Site Template Manager View Only

modifyAnomalyEventSettingForSiteTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/anomaly/setting/modify

Modify site template anomaly event setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema AnomalyEventSettingEditOpenApiVO

FieldTypeRequiredDescription
anomalyCodestringyesFor the values of Anomaly event code, refer to section 5.7.2.1 of the Open API Access
enablebooleannoWhether to detect anomaly events
levelintegernoAnomaly event level, it should be a value as follows: 0:Critical, 1:Error, 2:Warning, 3: Info
paramsobjectnoFor the values of Anomaly event params, refer to section 5.7.2.1 of the Open API Access
json
// omada_call_operation
{
  "operationId": "modifyAnomalyEventSettingForSiteTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify site template anomaly event setting.
The interface requires one of the permissions:
Global Site Template Manager Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.